% Use the CSFReader to read frames from a file. Like both interfaces this
% class is intended for advanced users. Use the CsfCamera unless you know
% what you're doing

reader = tof.CsfReader("frames.csf");

streams = reader.streams();

for stream = streams
    disp("Stream " + stream.frameId() + " type " + tof.frameTypeToString(stream.frameType()));
end

nframes = reader.numberOfFrames();

for n = 1:nframes
    frame = reader.readFrame();
end
